# RE02 - List reasons by type (deprecated)

Deprecated endpointThis API is going to be removed in future update. Consider using RE01.
DescriptionThis API returns cancellation, refund, incident, and message reasons.Reasons are sorted by sort index (set in the back-office)
Call FrequencyRecommended usage: Each time a page must display a list of reasonsMaximum usage: Each time a page must display a list of reasonsLocalizationThis resource supports locale parameter (see documentation)Localized output fields will be highlighted with an icon:

Endpoint: GET /api/reasons/{reason_type}
Security: Shop-API-Key

## Security:

  - `Shop-API-Key` (unknown)
    apiKey in header Authorization scopes: ROLE_SHOP_ADMIN, ROLE_PARTNER_ORDER_SETTINGS_READ

## Path parameters:

  - `reason_type` (string, required)
    Reason type

## Query parameters:

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `reasons` (array, required)
    List of reasons

  - `reasons.code` (string, required)
    Reason code

  - `reasons.label` (string, required)
    Reason label

  - `total_count` (integer, required)
    Total count of elements returned by the query (No pagination)

## Response 200 examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

